summaryrefslogtreecommitdiffstats
path: root/.local/bin/statusbar/iplocate
diff options
context:
space:
mode:
authorLuke Smith <luke@lukesmith.xyz>2019-11-23 16:23:24 -0500
committerLuke Smith <luke@lukesmith.xyz>2019-11-23 16:23:24 -0500
commit606946d890a7dcb1a1016a8c4b77eefcbe5c1b30 (patch)
tree272792fc8d9e97349689f8b82fafad8bf8892ed2 /.local/bin/statusbar/iplocate
parenta5e66ac4f45322b3665c944ba34d83b7db43ebc5 (diff)
downloadeibhear-606946d890a7dcb1a1016a8c4b77eefcbe5c1b30.tar.gz
eibhear-606946d890a7dcb1a1016a8c4b77eefcbe5c1b30.tar.zst
eibhear-606946d890a7dcb1a1016a8c4b77eefcbe5c1b30.zip
statusbar scripts to master
Diffstat (limited to '.local/bin/statusbar/iplocate')
-rwxr-xr-x.local/bin/statusbar/iplocate9
1 files changed, 9 insertions, 0 deletions
diff --git a/.local/bin/statusbar/iplocate b/.local/bin/statusbar/iplocate
new file mode 100755
index 0000000..5362330
--- /dev/null
+++ b/.local/bin/statusbar/iplocate
@@ -0,0 +1,9 @@
+#!/usr/bin/env sh
+
+# Gets your public ip address checks which country you are in and
+# displays that information in the statusbar
+#
+# https://www.maketecheasier.com/ip-address-geolocation-lookups-linux/
+ifinstalled "geoiplookup" || exit
+addr="$(curl ifconfig.me 2>/dev/null)" || exit
+grep "flag: " ~/.config/emoji | grep "$(geoiplookup $addr | sed 's/.*, //')" | sed "s/flag: //;s/;.*//"